I can't compile QGIS container with docker

2018-02-28 09:41 PM - Jorge Useche

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 17.10 Artful Aardvark Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26167

Description

I'm doing the command $ docker build -t agenciaimplementacion/qgis:latest . -f .docker/qgis.dockerfile

over latest "master" commit 020f0eb4559050c6f5b6605df44c74805f5f3c7d, this is passed tests.

But in compile process, I've found an error.

Sending build context to Docker daemon  575.6MB

Step 1/15 : ARG DOCKER_TAG=latest

Step 2/15 : ARG CACHE_DIR

Step 3/15 : FROM  qgis/qgis3-build-deps:${DOCKER_TAG}

 ---> a34aecaf149e

Step 4/15 : MAINTAINER Denis Rouzaud <denis@opengis.ch>

 ---> Running in 8f984e86c461

Removing intermediate container 8f984e86c461

 ---> 1faf7adb858a

Step 5/15 : ENV CC=/usr/lib/ccache/clang

 ---> Running in 9161d6eb4260

Removing intermediate container 9161d6eb4260

 ---> 75c67f1f146d

Step 6/15 : ENV CXX=/usr/lib/ccache/clang++

 ---> Running in 8b8311562ac1

Removing intermediate container 8b8311562ac1

 ---> 2133c98046ed

Step 7/15 : ENV QT_SELECT=5

 ---> Running in 0e8b05219671

Removing intermediate container 0e8b05219671

 ---> bb7a15f497d7

Step 8/15 : ENV LANG=C.UTF-8

 ---> Running in 3cd49510c5cf

Removing intermediate container 3cd49510c5cf

 ---> 62b6f5d317d7

Step 9/15 : COPY . /usr/src/QGIS

 ---> dfdb03b2d912

Step 10/15 : COPY ${CACHE_DIR} /root/.ccache

 ---> c464fdcac900

Step 11/15 : ENV CCACHE_DIR=/root/.ccache

 ---> Running in 7775800485cd

Removing intermediate container 7775800485cd

 ---> bdb50a9a966d
Step 12/15 : RUN ccache -M 1G

 ---> Running in 9d5baa7f5c7a

Set cache size limit to 1.0 GB

Removing intermediate container 9d5baa7f5c7a

 ---> 007395b4f909

Step 13/15 : WORKDIR /usr/src/QGIS/build

Removing intermediate container 6e728a25a074

 ---> 07590c08df73

Step 14/15 : RUN cmake   -GNinja   -DCMAKE_BUILD_TYPE=Release   -DCMAKE_INSTALL_PREFIX=/usr  

-DWITH_DESKTOP=OFF   -DWITH_SERVER=ON   -DWITH_3D=ON   -DWITH_BINDINGS=ON  

-DBINDINGS_GLOBAL_INSTALL=ON   -DWITH_STAGED_PLUGINS=ON   -DWITH_GRASS=ON  

-DSUPPRESS_QT_WARNINGS=ON   -DDISABLE_DEPRECATED=ON   -DENABLE_TESTS=OFF  

-DWITH_QSPATIALITE=ON   -DWITH_QWTPOLAR=OFF   -DWITH_APIDOC=OFF   -DWITH_ASTYLE=OFF  ..  && ninja

install  && rm -rf /usr/src/QGIS

 ---> Running in 909a64f4feab

-- The C compiler identification is Clang 3.8.0

-- The CXX compiler identification is Clang 3.8.0

-- Check for working C compiler: /usr/lib/ccache/clang

-- Check for working C compiler: /usr/lib/ccache/clang -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Detecting C compile features

-- Detecting C compile features - done

-- Check for working CXX compiler: /usr/lib/ccache/clang++

-- Check for working CXX compiler: /usr/lib/ccache/clang++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- Detecting CXX compile features

-- Detecting CXX compile features - done

-- QGIS version: 3.1.0 Master (30100)

-- Could not find GRASS 7

-- Looking for openpty

-- Looking for openpty - not found

-- Looking for openpty

-- Looking for openpty - found

-- Looking for proj_info in /usr/lib/x86_64-linux-gnu/libproj.so

-- Looking for proj_info in /usr/lib/x86_64-linux-gnu/libproj.so - not found

-- Found Proj: /usr/lib/x86_64-linux-gnu/libproj.so

-- Found GEOS: /usr/lib/x86_64-linux-gnu/libgeos_c.so (3.5.1)

-- Found GDAL: /usr/lib/libgdal.so (2.2.2)

-- Found Expat: /usr/lib/x86_64-linux-gnu/libexpat.so

-- Found Spatialindex: /usr/lib/x86_64-linux-gnu/libspatialindex.so

-- Found Qwt: /usr/lib/libqwt-qt5.so (6.1.2)

-- Found libzip: /usr/lib/x86_64-linux-gnu/libzip.so

-- Found Sqlite3: /usr/lib/x86_64-linux-gnu/libsqlite3.so

-- Found PostgreSQL: /usr/lib/x86_64-linux-gnu/libpq.so

-- Found SpatiaLite: /usr/lib/x86_64-linux-gnu/libspatialite.so

-- Looking for gaiaStatisticsInvalidate in /usr/lib/x86_64-linux-gnu/libspatialite.so

-- Looking for gaiaStatisticsInvalidate in /usr/lib/x86_64-linux-gnu/libspatialite.so - found

-- Qt WebKit support enabled

CMake Error at CMakeLists.txt:296 (FIND_PACKAGE):

  By not providing "FindQt53DCore.cmake" in CMAKE_MODULE_PATH this project

  has asked CMake to find a package configuration file provided by
  "Qt53DCore", but CMake did not find one.

  Could not find a package configuration file provided by "Qt53DCore" with

  any of the following names:

    Qt53DCoreConfig.cmake

    qt53dcore-config.cmake

  Add the installation prefix of "Qt53DCore" to CMAKE_PREFIX_PATH or set

  "Qt53DCore_DIR" to a directory containing one of the above files.  If

  "Qt53DCore" provides a separate development package or SDK, be sure it has

  been installed.

-- Configuring incomplete, errors occurred!

See also "/usr/src/QGIS/build/CMakeFiles/CMakeOutput.log".

See also "/usr/src/QGIS/build/CMakeFiles/CMakeError.log".

The command '/bin/sh -c cmake   -GNinja   -DCMAKE_BUILD_TYPE=Release   -DCMAKE_INSTALL_PREFIX=/usr  

-DWITH_DESKTOP=OFF   -DWITH_SERVER=ON   -DWITH_3D=ON   -DWITH_BINDINGS=ON  

-DBINDINGS_GLOBAL_INSTALL=ON   -DWITH_STAGED_PLUGINS=ON   -DWITH_GRASS=ON  

-DSUPPRESS_QT_WARNINGS=ON   -DDISABLE_DEPRECATED=ON   -DENABLE_TESTS=OFF  

-DWITH_QSPATIALITE=ON   -DWITH_QWTPOLAR=OFF   -DWITH_APIDOC=OFF   -DWITH_ASTYLE=OFF  ..  && ninja

install  && rm -rf /usr/src/QGIS' returned a non-zero code: 1

History

#1 - 2018-03-01 10:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

Better ask in the developers mailing list, thanks!

#2 - 2018-08-21 08:43 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
